#use Test::NoWarnings;
use Junkai::HUANG::Utils;

use Test::More tests => 4;

use_ok( 'Junkai::HUANG::Utils' );

ok( defined &sum, 'sum() is defined' );

my @good_list = 1 .. 10;
is( sum( @good_list), 55, 'The sum of 1 to 10 is 55' );

my @weird_list = qw( a b c 1 2 3 123abc );
is(sum( @weird_list), 129, 'The weird sum is 128' );

